# $Id: whiptail.spec,v 1.1 2016/02/04 18:15:59 vip-ire Exp $

%define pythonver 2.2

Summary: A console dialog tool, for use by SME server console
Name: whiptail
%define version 0.51.5
Version: %{version}
Release: 9%{?dist}
License: LGPL
Group: System Environment/Libraries
Source: whiptail-%{version}.tar.gz
Patch100: newt-0.51.5.patch.2004082000
Patch101: newt-0.51.5.patch.2006100300
Patch102: newt-0.51.5.patch.2006100301
BuildRequires: newt-devel
BuildRequires: popt-devel
Requires: newt
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%Description
whiptail is a /usr/bin/dialog replacement. This version contains
modifications for use by the SME server console program.

%prep
%setup -q

%build
D=
cc -O2 -Wall -I/usr/include/slang -D_GNU_SOURCE \
 -c -o whiptail.o whiptail.c
cc -O2 -Wall -I/usr/include/slang -D_GNU_SOURCE \
 $(if grep -q _newt_wstr %_libdir/libnewt.so; then echo -Dwstrlen=_newt_wstrlen; fi) \
 -c -o dialogboxes.o dialogboxes.c
gcc -g -o whiptail whiptail.o dialogboxes.o \
 -lnewt -lslang -lm  -lpopt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin/e-smith
install -m 755 whiptail $RPM_BUILD_ROOT/sbin/e-smith

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING
/sbin/e-smith/whiptail

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com> 0.51.5-9
- Better fix for finding correct libdir

* Sat Apr 28 2007 Shad L. Lords <slords@mail.com> 0.51.5-8
- Change to dist for tagging release
- Use correct lib for 32/64 bit

* Thu Feb  1 2007 Charlie Brady <charlieb@e-smith.com> 0.51.5-7
- Autodetect need for -Dwstrlen=_newt_wstrlen.

* Thu Feb  1 2007 Charlie Brady <charlieb@e-smith.com> 0.51.5-6
- Fix for building under FC6/RHEL5

* Thu Feb  1 2007 Charlie Brady <charlieb@e-smith.com> 0.51.5-5
- Repackage so that build is done against the installed newt library.
  (Patches are left included in SRPM for informational reasons).

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Oct 03 2006 Charlie Brady <charlie_brady@mitel.com> 0.51.5-3es1
- Add --{ok,yes,cancel,no}-label aliases for --left and --right, for
  compatibility with 'dialog'.

* Tue Oct 03 2006 Charlie Brady <charlie_brady@mitel.com> 0.51.5-2es1
- Add --default-item option for use in listBox. [SME: 1959]

* Wed Feb 16 2005 Charlie Brady <charlieb@e-smith.com> 0.51.5-1es1
- Initial - forked from newt-0.51.5-1es1
